"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Aggregators = void 0;
const avgAggregator_js_1 = require("./avgAggregator.js");
const cloneAggregator_js_1 = require("./cloneAggregator.js");
const countAggregator_js_1 = require("./countAggregator.js");
const distinctAggregator_js_1 = require("./distinctAggregator.js");
const minAggregator_js_1 = require("./minAggregator.js");
const maxAggregator_js_1 = require("./maxAggregator.js");
const sumAggregator_js_1 = require("./sumAggregator.js");
/** Provides a list of different Aggregators for the Group Formatter */
exports.Aggregators = {
    /** Average Aggregator which calculate the average of a given group */
    Avg: avgAggregator_js_1.AvgAggregator,
    /** Clone Aggregator will simply clone (copy) over the last defined value of a given group */
    Clone: cloneAggregator_js_1.CloneAggregator,
    /** Count Aggregator will count the number of rows in the group */
    Count: countAggregator_js_1.CountAggregator,
    /** Distinct Aggregator will return an array of distinct values found inside the given group */
    Distinct: distinctAggregator_js_1.DistinctAggregator,
    /** Minimum Aggregator which will find the minimum value inside the given group */
    Min: minAggregator_js_1.MinAggregator,
    /** Maximum Aggregator which will find the maximum value inside the given group */
    Max: maxAggregator_js_1.MaxAggregator,
    /** Sum Aggregator which calculate the sum of a given group */
    Sum: sumAggregator_js_1.SumAggregator,
};
//# sourceMappingURL=aggregators.index.js.map