export class SharedService {
    constructor() {
        // --
        // public
        /** Current Pagination (when Pagination is enabled) */
        this.currentPagination = null;
        /** when `preParseDateColumns` grid option is enabled, did we already parsed all dates? */
        this.isItemsDateParsed = false;
        /** Frozen column id for reference if we ever show/hide column from ColumnPicker/GridMenu afterward */
        this.frozenVisibleColumnId = '';
        /** Boolean to know if the columns were ever reordered or not since the grid was created. */
        this.hasColumnsReordered = false;
        /** Boolean to know if user want to hide header row after 1st page load */
        this.hideHeaderRowAfterPageLoad = false;
    }
    // --
    // GETTERs / SETTERs
    /** Getter for All Columns  in the grid (hidden/visible) */
    get allColumns() {
        return this._allColumns;
    }
    /** Setter for All Columns  in the grid (hidden/visible) */
    set allColumns(allColumns) {
        this._allColumns = allColumns;
    }
    /** Getter for the Column Definitions pulled through the Grid Object */
    get columnDefinitions() {
        return this.slickGrid?.getColumns() ?? [];
    }
    /** Getter for the Grid Options pulled through the Grid Object */
    get gridOptions() {
        return this._gridOptions || this.slickGrid?.getOptions() || {};
    }
    /** Setter for the Grid Options pulled through the Grid Object */
    set gridOptions(gridOptions) {
        this._gridOptions = gridOptions;
    }
    /** Getter to know if user want to hide header row after 1st page load */
    get externalRegisteredResources() {
        return this._externalRegisteredResources;
    }
    /** Setter for knowing if user want to hide header row after 1st page load */
    set externalRegisteredResources(externalRegisteredResources) {
        this._externalRegisteredResources = externalRegisteredResources;
    }
    /** Getter for the Visible Columns in the grid */
    get visibleColumns() {
        return this._visibleColumns;
    }
    /** Setter for the Visible Columns in the grid */
    set visibleColumns(visibleColumns) {
        this._visibleColumns = visibleColumns;
    }
    /** Getter for the Hierarchical Tree Data dataset when the feature is enabled */
    get hierarchicalDataset() {
        return this._hierarchicalDataset;
    }
    /** Getter for the Hierarchical Tree Data dataset when the feature is enabled */
    set hierarchicalDataset(hierarchicalDataset) {
        this._hierarchicalDataset = hierarchicalDataset;
    }
}
//# sourceMappingURL=shared.service.js.map