import type { AutocompleteItem } from 'autocompleter';
import type VanillaCalendar from 'vanilla-calendar-pro';
import type { IOptions, ISelected } from 'vanilla-calendar-pro/types';
import type { AutocompleterOption, Column, ColumnEditor, ColumnFilter } from '../interfaces/index.js';
/**
 * add loading class ".slick-autocomplete-loading" to the Kraaden Autocomplete input element
 * by overriding the original user's fetch method.
 * We will add the loading class when the fetch starts and later remove it when the update callback is being called.
 * @param inputElm - autocomplete input element
 * @param autocompleterOptions - autocomplete settings
 */
export declare function addAutocompleteLoadingByOverridingFetch<T extends AutocompleteItem>(inputElm: HTMLInputElement, autocompleterOptions: Partial<AutocompleterOption<T>>): void;
export declare function resetDatePicker(pickerInstance: VanillaCalendar): void;
export declare function setPickerDates(colEditorOrFilter: ColumnEditor | ColumnFilter, dateInputElm: HTMLInputElement, pickerInstance: IOptions | VanillaCalendar, options: {
    oldVal?: Date | string | Array<Date | string> | undefined;
    newVal: Date | string | Array<Date | string> | undefined;
    columnDef: Column;
    updatePickerUI?: boolean;
    selectedSettings?: ISelected;
}): void;
//# sourceMappingURL=commonEditorFilterUtils.d.ts.map