import type { SlickDataView, SlickGrid } from '../core/index.js';
import type { Column, CurrentPagination, GridOption } from '../interfaces/index.js';
import type { SlickGroupItemMetadataProvider } from '../extensions/slickGroupItemMetadataProvider.js';
export declare class SharedService {
    protected _allColumns: Column[];
    protected _gridOptions: GridOption;
    protected _visibleColumns: Column[];
    protected _hierarchicalDataset: any[] | undefined;
    protected _externalRegisteredResources: any[];
    /** Current Pagination (when Pagination is enabled) */
    currentPagination: CurrentPagination | null;
    /** SlickGrid DataView object */
    dataView: SlickDataView;
    /** when `preParseDateColumns` grid option is enabled, did we already parsed all dates? */
    isItemsDateParsed: boolean;
    /** Frozen column id for reference if we ever show/hide column from ColumnPicker/GridMenu afterward */
    frozenVisibleColumnId: string | number;
    /** Grid Container HTML Element */
    gridContainerElement: HTMLElement;
    /** GroupItemMetadataProvider */
    groupItemMetadataProvider?: SlickGroupItemMetadataProvider;
    /** Boolean to know if the columns were ever reordered or not since the grid was created. */
    hasColumnsReordered: boolean;
    /** Boolean to know if user want to hide header row after 1st page load */
    hideHeaderRowAfterPageLoad: boolean;
    /** SlickGrid Grid object */
    slickGrid: SlickGrid;
    /** Getter for All Columns  in the grid (hidden/visible) */
    get allColumns(): Column[];
    /** Setter for All Columns  in the grid (hidden/visible) */
    set allColumns(allColumns: Column[]);
    /** Getter for the Column Definitions pulled through the Grid Object */
    get columnDefinitions(): Column[];
    /** Getter for the Grid Options pulled through the Grid Object */
    get gridOptions(): GridOption;
    /** Setter for the Grid Options pulled through the Grid Object */
    set gridOptions(gridOptions: GridOption);
    /** Getter to know if user want to hide header row after 1st page load */
    get externalRegisteredResources(): any[];
    /** Setter for knowing if user want to hide header row after 1st page load */
    set externalRegisteredResources(externalRegisteredResources: any[]);
    /** Getter for the Visible Columns in the grid */
    get visibleColumns(): Column[];
    /** Setter for the Visible Columns in the grid */
    set visibleColumns(visibleColumns: Column[]);
    /** Getter for the Hierarchical Tree Data dataset when the feature is enabled */
    get hierarchicalDataset(): any[] | undefined;
    /** Getter for the Hierarchical Tree Data dataset when the feature is enabled */
    set hierarchicalDataset(hierarchicalDataset: any[] | undefined);
}
//# sourceMappingURL=shared.service.d.ts.map